Bug 1012032 - [RHEVM][webadmin] make network profile name check behavior consistent within GUI
[RHEVM][webadmin] make network profile name check behavior consistent within GUI
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
x86_64 Linux
high Severity low
: ---
: 3.3.0
Assigned To: Lior Vernia
Meni Yakove
network
:
Depends On:
Blocks: 3.3snap1
  Show dependency treegraph
 
Reported: 2013-09-25 11:12 EDT by Martin Pavlik
Modified: 2016-02-10 14:52 EST (History)
8 users (show)

See Also:
Fixed In Version: is19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:19:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot 1 (131.99 KB, image/png)
2013-09-25 11:12 EDT, Martin Pavlik
no flags Details
screenshot 2 (154.74 KB, image/png)
2013-09-25 11:12 EDT, Martin Pavlik
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20200 None None None Never

  None (edit)
Description Martin Pavlik 2013-09-25 11:12:06 EDT
Created attachment 802907 [details]
screenshot 1

Description of problem:

1)
If user creates network profile with unallowed characters in name via
Networks -> your VM network -> edit (button on top of tab) -> Profiles -> profile name e.g a?a (see screenshot 1)

following error message pops up:
Error while executing action: Name must be formed of alphanumeric characters, numbers or "-_".

2)
on the other hand if user goes via
Networks -> your VM network -> Profiles (sub tab)-> New  name e.g a?a (see screenshot 2)

user gets red rectangle and tooltip on what is wrong (which I would prefer for both cases)

3)
Moreover in each case user gets different advice on allowed characters in profile name.
    1)  alphanumeric characters, numbers or "-_"
    2)  alphanumeric '.','_' or '-' characters


Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: 3.3.0-0.23.master.el6ev 

How reproducible:
100%

Steps to Reproduce:
see description

Actual results:
inconsistent behavior and tips

Expected results:
consistent behavior (red rectangle and tooltip) and tips

Additional info:
1)
2013-09-25 16:56:54,726 WARN  [org.ovirt.engine.core.bll.network.vm.AddVnicProfileCommand] (ajp-/127.0.0.1:8702-13) [2fd0ea33] CanDoAction of action AddVnicProfile failed. Reasons:VAR__TYPE__VNIC_PROFILE,VAR__ACTION__ADD,VALIDATION_NAME_INVALID
Comment 1 Martin Pavlik 2013-09-25 11:12:32 EDT
Created attachment 802909 [details]
screenshot 2
Comment 2 Martin Pavlik 2013-09-25 11:16:41 EDT
If you use scenario 2 with network name a_a-a.

Networks -> your VM network -> Profiles (sub tab)-> New  name a_a-a.

it does not produce red rectangle but error message

Error while executing action: Name must be formed of alphanumeric characters, numbers or "-_".
Comment 3 Martin Pavlik 2013-10-18 04:14:36 EDT
works in is19
Comment 4 Itamar Heim 2014-01-21 17:19:15 EST
Closing - RHEV 3.3 Released
Comment 5 Itamar Heim 2014-01-21 17:25:27 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.